fwb_ipt(1)

NAME
fwb_ipt - Policy compiler for iptables

SYNOPSIS
fwb_ipt [-wvV] [-dwdir] [-ooutput.fw] -fdata_file.xml object_name

DESCRIPTION
fwb_ipt is a firewall policy compiler component of Firewall Builder (see fwbuilder(1)). Compiler reads objects definitions and firewall description from the data file specified with "-f" option and generates resultant iptables script. The script is written to the file with the name the same as the name of the firewall object, plus extension ".fw". The data file and the name of the firewall objects must be specified on the command line. Other command line parameters are optional.

OPTIONS

-f FILE
    Specify the name of the data file to be processed.

-o output.fw
    Specify output file name

-d wdir
    Specify working directory. Compiler creates file with iptables script in this directory. If this parameter is missing, then iptables script will be placed in the current working directory.

-v  Be verbose: compiler prints diagnostic messages when it works.

-V  Print version number and quit.

URL
Firewall Builder home page is located at the following URL: http://www.fwbuilder.org/

BUGS
Please report bugs using bug tracking system on SourceForge: http://sourceforge.net/tracker/?group_id=5314&atid=105314

SEE ALSO
fwbuilder(1), fwb_ipf(1), fwb_pf(1)